close all; clear all; clc;
%% Zjištení informací o datech
% Načtení všech DICOM souborů do struktury
imagefiles = dir('*.dcm');

% Zjištění počtu DICOM souborů
nfiles = length(imagefiles);

%% Cyklus převodu na png formát
for ii=1:nfiles
    % Zjištění aktuálního jména souboru včetně koncovky
    names = imagefiles(ii).name;
    
    % Rozdělení jména na samotné jméno a koncovku souboru
    new_names = strsplit(names, '.');
    
    % Vytvoření nové koncové cesty, kam bude png soubor uložen
    directory = strcat('C:\Users\Acer\Desktop\ctdata\PP\CT\S1\', new_names{1}, '.png');
    
    % Převod obrazu z uint16 na double
    image = double(dicomread(names));
    
    % Normalizace
    image = reshape(normalize(image(:), 'range'), size(image));
    
    % Převod hodnot
    data=uint8(255.*image);
    
    % Uložení upraveného obrazu s pomocí cesty obsahující novou koncovku
    imwrite(data, directory);
end